ERROR while "mvn clean install"

758
2
Jump to solution
11-20-2019 02:17 AM
MinxueChen
New Contributor II

Hi,

I'm trying to follow the Geoevent Developer Guide to run the samples. But meet a problem while trying to run the "mvn clean install" with sample "sample-adapter":

Is it because of maven version stated in the pom.xml is too old? (The maven I installed is version 3.6.2, the eclipse version is 4.13, the m2e version is the latest 1.13).

Has anyone meet the same problem and maybe have a suggestion? 

Thank you so much for your help!

0 Kudos
1 Solution

Accepted Solutions
Stefan_Jung
Esri Contributor

Hi Minxue Chen‌,

looks like maven is trying to access the central repository: https://repo.maven.apache.org/maven2

Do you have an internet connection on the machine you are building on?

I've just tested the sample from 10.7.1 with Maven 3.6.1 and everything worked fine. But Maven downloaded a lot of artifacts from the central repository.

Best,

Stefan 

View solution in original post

2 Replies
Stefan_Jung
Esri Contributor

Hi Minxue Chen‌,

looks like maven is trying to access the central repository: https://repo.maven.apache.org/maven2

Do you have an internet connection on the machine you are building on?

I've just tested the sample from 10.7.1 with Maven 3.6.1 and everything worked fine. But Maven downloaded a lot of artifacts from the central repository.

Best,

Stefan 

View solution in original post

MinxueChen
New Contributor II

Hi Stefan,

Thank you! Yes, after switching a different network, I was able to build it. It's definitely an internet issue. 

Bests,

Tony

0 Kudos